## phantomjs 1.3.0+dfsg

=== debian/changelog ===
phantomjs (1.3.0+dfsg-4) unstable; urgency=low

  * debian/patches/0001-build-with-libjs-coffeesciprt.patch: Fixed
    coffee-script.js path. (Closes: #651171)

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 06 Dec 2011 22:37:13 +0900

phantomjs (1.3.0+dfsg-3) unstable; urgency=low

  * debian/control: Add python-qt4 to Depends (Closes: #648409)

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 15 Nov 2011 11:31:06 +0900

phantomjs (1.3.0+dfsg-2) unstable; urgency=low

  * debian/watch: improve pattern to return correct value.

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 01 Nov 2011 09:16:37 +0900

phantomjs (1.3.0+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #646556)

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 25 Oct 2011 15:13:08 +0900
