## phantomjs 1.4.0+dfsg

=== debian/changelog ===
phantomjs (1.4.0+dfsg-1) unstable; urgency=low

  * New upstream 
  * debian/patches/0001-build-with-libjs-coffeesciprt.patch: Follow
    upstream changes.

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 27 Dec 2011 22:56:20 +0900
