=== debian/control ===
Source: phantomjs
Section: web
Priority: extra
Maintainer: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
	qt4-qmake, 
	libqt4-dev,
	libqtwebkit-dev, 
	python-setuptools,
	python-support,
	python-all-dev,
	libjs-coffeescript
Standards-Version: 3.9.2
Homepage: http://www.phantomjs.org/
Vcs-Git: git://git.debian.org/collab-maint/phantomjs.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/phantomjs.git;a=summary

Package: phantomjs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: minimalistic headless WebKit-based with JavaScript API
 PhantomJS is a headless WebKit with JavaScript API. It has fast and native
 support for various web standards: DOM handling, CSS selector, JSON, Canvas,
 and SVG.
 .
 PhantomJS is an optimal solution for headless testing of web-based
 applications, site scraping, pages capture, SVG renderer, PDF converter
 and many other use cases.

Package: python-pyphantomjs
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-qt4
Provides: ${python:Provides}
Description: Python porting of phantomjs JavaScript-driven tool
 PhantomJS is a headless WebKit with JavaScript API. It has fast and native
 support for various web standards: DOM handling, CSS selector, JSON, Canvas,
 and SVG.
 .
 PhantomJS is an optimal solution for headless testing of web-based
 applications, site scraping, pages capture, SVG renderer, PDF converter
 and many other use cases.
 .
 This package is Python porting of PhantomJS.
