## phantomjs 1.4.1+dfsg

=== debian/changelog ===
phantomjs (1.4.1+dfsg-1) unstable; urgency=low

  * Imported Upstream version 1.4.1

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 10 Feb 2012 10:24:27 +0900
