=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
  http://googlecode.debian.net/p/phantomjs/phantomjs-(.*)-source\.tar\.gz
