## phantomjs 1.6.0

=== debian/changelog ===
phantomjs (1.6.0-5ubuntu2) quantal; urgency=low

  * Build-depend on libqtwebkit-dev again, removed in the 1.6.0
    packaging.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Oct 2012 16:57:38 +0200

phantomjs (1.6.0-5ubuntu1) quantal; urgency=low

  * Don't add an unknown compiler option. Fixes FTBFS.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sun, 26 Aug 2012 19:57:57 +0400

phantomjs (1.6.0-5) unstable; urgency=low

  * debian/install: install all customized Qt ralted libraries. 
   (Closes: #681505, #681829)

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 18 Jul 2012 15:42:26 +0900

phantomjs (1.6.0-4) unstable; urgency=low

  * debian/patches/return_build_error: Removed.
  * debian/bin/phantomjs: Exec with args. (Closes: #681096)

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 11 Jul 2012 11:04:04 +0900

phantomjs (1.6.0-3) unstable; urgency=low

  * debian/patches/return_build_error: To fail after build error immediately.
  * debian/control: libx11-dev and libxext-dev to Build-Depends. 

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 05 Jul 2012 09:16:30 +0900

phantomjs (1.6.0-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.3. 
  * debian/rules: add hardening options. 
  * debian/control: Add some devel libraries to B-D. (Closes: #679760)

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 03 Jul 2012 21:32:47 +0900

phantomjs (1.6.0-1) unstable; urgency=low

  * New upstream (Closes: #666397)
  * Drop python-pyphantomjs. It has been removed from upstream.

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 01 Jul 2012 02:50:03 +0900
