=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: phantomjs
 Section: web
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: TANIGUCHI Takaki <takaki@debian.org>
+Maintainer: TANIGUCHI Takaki <takaki@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
 	libqt4-dev,
-	libqtwebkit-dev,
 	libjs-coffeescript
 	, libfreetype6-dev
 	, libjpeg-dev
