## phantomjs 1.9.7u1

=== Makefile ===
# @package      phantomjs
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRBIN=$(DESTDIR)/usr/bin
USRSHAREDOC=$(DESTDIR)/usr/share/doc

ARCH=x86_64
VERSION=1.9.7

all:
	tar -jxvpf phantomjs-$(VERSION)-linux-$(ARCH).tar.bz2
	chrpath -d phantomjs-$(VERSION)-linux-$(ARCH)/bin/phantomjs

install:
	install --mode 0755 phantomjs-$(VERSION)-linux-$(ARCH)/bin/phantomjs -D $(USRBIN)/phantomjs
	install --mode 0644 phantomjs-$(VERSION)-linux-$(ARCH)/README.md -D $(USRSHAREDOC)/phantomjs/README.md
	install --mode 0644 phantomjs-$(VERSION)-linux-$(ARCH)/ChangeLog -D $(USRSHAREDOC)/phantomjs/changelog
	install --mode 0644 phantomjs-$(VERSION)-linux-$(ARCH)/third-party.txt -D $(USRSHAREDOC)/phantomjs/third-party.txt
	install --mode 0644 phantomjs-$(VERSION)-linux-$(ARCH)/LICENSE.BSD -D $(USRSHAREDOC)/phantomjs/LICENSE.BSD
	install --mode 0755 -d $(USRSHAREDOC)/phantomjs/examples
	cp -a phantomjs-$(VERSION)-linux-$(ARCH)/examples/* $(USRSHAREDOC)/phantomjs/examples

uninstall:
	@true

postinst:
	@true

clean:
	rm -fr phantomjs-$(VERSION)-linux-$(ARCH)

.PHONY: all install uninstall postinst clean
