## phantomjs 1.9.7-1+deb6

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      phantomjs
-# @file         Makefile
+# @file	        Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
+# @copyrigh     Copyright (c) 2014 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
+# Copyright (c) 2014 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -27,11 +27,10 @@
 
 USRBIN=$(DESTDIR)/usr/bin
 USRSHAREDOC=$(DESTDIR)/usr/share/doc
-
 ARCH=x86_64
 VERSION=1.9.7
 
-all:
+build:
 	tar -jxvpf phantomjs-$(VERSION)-linux-$(ARCH).tar.bz2
 	chrpath -d phantomjs-$(VERSION)-linux-$(ARCH)/bin/phantomjs
 
@@ -44,13 +43,10 @@
 	install --mode 0755 -d $(USRSHAREDOC)/phantomjs/examples
 	cp -a phantomjs-$(VERSION)-linux-$(ARCH)/examples/* $(USRSHAREDOC)/phantomjs/examples
 
-uninstall:
-	@true
-
 postinst:
 	@true
 
 clean:
 	rm -fr phantomjs-$(VERSION)-linux-$(ARCH)
 
-.PHONY: all install uninstall postinst clean
+.PHONY: build install postinst clean
