=== debian/changelog ===
phantomjs (1.9.7-1+deb6) unstable; urgency=low

  * Initial release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 04 Sep 2014 14:37:03 -0400
