=== debian/control ===
Source: phantomjs
Section: web
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.8.3
Homepage: http://www.phantomjs.org/

Package: phantomjs
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: minimalistic headless WebKit-based with JavaScript API
 PhantomJS is a headless WebKit with JavaScript API. It has fast and native
 support for various web standards: DOM handling, CSS selector, JSON, Canvas,
 and SVG.
 .
 PhantomJS is an optimal solution for headless testing of web-based
 applications, site scraping, pages capture, SVG renderer, PDF converter
 and many other use cases.
