## phantomjs 2.1.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,36 @@
 Source: phantomjs
 Section: web
-Priority: optional
-Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
-Build-Depends: debhelper (>= 8)
-Standards-Version: 3.8.3
+Priority: extra
+Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Uploaders: TANIGUCHI Takaki <takaki@debian.org>
+Build-Depends: debhelper (>= 9),
+	libjs-coffeescript,
+	libfreetype6-dev,
+	libjpeg-dev,
+	libpng-dev,
+	libsqlite3-dev,
+	libssl-dev,
+	libz-dev,
+	libfontconfig1-dev,
+	libx11-dev,
+	libxext-dev,
+	libqt5webkit5-dev,
+	python,
+	qt5-qmake,
+	qtchooser
+# Generic tests:
+    ,gtk-vector-screenshot
+    ,libatk-adaptor
+    ,xvfb, xauth, libgl1-mesa-dri
+# Ghostdriver tests:
+#    ,libgradle-core-java
+Standards-Version: 3.9.6
 Homepage: http://www.phantomjs.org/
+Vcs-Git: https://anonscm.debian.org/collab-maint/phantomjs.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/phantomjs.git
 
 Package: phantomjs
-Architecture: amd64
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: minimalistic headless WebKit-based with JavaScript API
  PhantomJS is a headless WebKit with JavaScript API. It has fast and native
