=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

#QT_CFG=-no-rpath -system-zlib -system-libjpeg -system-libpng \
#	-system-sqlite -plugin-sql-sqlite

export QT_SELECT = qt5

%:
	dh $@

override_dh_auto_build:
	python build.py --skip-git --skip-qtbase --skip-qtwebkit --confirm --release

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/phantomjs

override_dh_auto_test:
	## xvfb-run is affected by #814607.
	## By default Xvfb starts at 8bpp (GLX doesn't work at 8bpp).
	## https://bugzilla.redhat.com/show_bug.cgi?id=904851
	-xvfb-run --server-args="-screen 0 640x480x16" test/run-tests.py
