## phantomjs 2.1.1+dfsg

=== debian/changelog ===
phantomjs (2.1.1+dfsg-2ubuntu1) focal; urgency=medium

  * Build using python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 31 Mar 2020 18:13:48 +0200

phantomjs (2.1.1+dfsg-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:16:17 +0100

phantomjs (2.1.1+dfsg-2) unstable; urgency=medium

  * New patch to allow comilation with QT versions other than 5.5
    (Closes: #827421).
  * Run tests under "dbus-launch"; Build-Depends += "dbus-x11".
  * Respect DEB_BUILD_OPTIONS="nocheck".
  * README: added note about lack of headless functionality.
  * Corrected short package description (Closes: #826541).
    Thanks, Mario Lang.
  * Standards-Version: 3.9.8.
  * Corrected Vcs-Git URL.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 16 Jun 2016 17:26:25 +1000

phantomjs (2.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release [January 2015].
  * Split refreshed "port-to-qt55.patch" into three patches:
    + build-qt55-evaluateJavaScript.patch
    + build-qt55-no-websecurity.patch
    + build-qt55-print.patch
  * Disabled Ghostdriver due to pre-built source-less Selenium blobs.
  * Added README.Debian explaining differences from upstream "phantomjs".
  * Copyright review and DFSG clean-up/repackaging.
  * Run upstream test suite.
  * Updated watch file.
  * Added man page.
  * New maintainer.
  * Build-Depends:
    + python
    + xvfb, xauth, libgl1-mesa-dri
    + gtk-vector-screenshot
    + libatk-adaptor
  * New patches:
    + build-hardening.patch
    + build-no-ghostdriver.patch
    + build-qt-components.patch
    + build-qtpath.patch
  * New lintian-overrides.
  * Removed obsolete patches:
    - dont-fail-on-unrecognised-makeflags.patch

  [ Mattia Rizzolo <mattia@debian.org> ]
  * debian/control: fix Vcs-Browser url

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 18 Feb 2016 03:25:42 +1100

phantomjs (2.0.0+dfsg-1) unstable; urgency=medium

  [ TANIGUCHI Takaki ]
  * debian/watch: Moved to bitbucket.
  * Imported Upstream version 2.0.0 (Closes: #803334, #732376, #757699)
    + Fix "PDF content is scaled by 1.5277777777777777" in upstrem.
      (Closes: #726254)
    + Fix "SVG is not rendered in pdf" in upstream. (Closes: #726257)
    + Upstream drop support CoffeeScript. (Closes: #730087)

  [ Ximin Luo ]
  * Don't distribute a full obsolete copy of Qt.
  * Port to Qt 5.5.

  [ TANIGUCHI Takaki ]
  * Use system Qt5 library. (Closes: #784506, #679759, #699435)
  * Fix "ftbfs with GCC-5" (Closes: #778061)
  * debian/watch: Move to bitbucket.  (Closes: #754654)
  * debian/control:
    + Bump-Standards Verision to 3.9.6.
    + Update VCS-*.
  * debian/copyright: Update source URL.

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 25 Nov 2015 17:41:05 +0900

phantomjs (1.9.2-1) unstable; urgency=low

  * Imported Upstream version 1.9.2
  * debian/control: Bump Standards-Version to 3.9.4 (with no changes).
  * debian/control: Update B-D debhelper version to 9.

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 09 Oct 2013 17:04:18 +0900
