=== debian/control ===
--- 
+++ 
@@ -15,24 +15,25 @@
 	libx11-dev,
 	libxext-dev,
 	libqt5webkit5-dev,
-	python,
+	python2,
 	qt5-qmake,
 	qtchooser
 # Generic tests:
+    ,dbus-x11
     ,gtk-vector-screenshot
     ,libatk-adaptor
     ,xvfb, xauth, libgl1-mesa-dri
 # Ghostdriver tests:
 #    ,libgradle-core-java
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.phantomjs.org/
-Vcs-Git: https://anonscm.debian.org/collab-maint/phantomjs.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/phantomjs.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/phantomjs.git
 
 Package: phantomjs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: minimalistic headless WebKit-based with JavaScript API
+Description: minimalistic headless WebKit-based browser with JavaScript API
  PhantomJS is a headless WebKit with JavaScript API. It has fast and native
  support for various web standards: DOM handling, CSS selector, JSON, Canvas,
  and SVG.
