=== debian/rules ===
--- 
+++ 
@@ -14,13 +14,15 @@
 	dh $@
 
 override_dh_auto_build:
-	python build.py --skip-git --skip-qtbase --skip-qtwebkit --confirm --release
+	python2 build.py --skip-git --skip-qtbase --skip-qtwebkit --confirm --release
 
 override_dh_shlibdeps:
 	dh_shlibdeps -l/usr/lib/phantomjs
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	## xvfb-run is affected by #814607.
 	## By default Xvfb starts at 8bpp (GLX doesn't work at 8bpp).
 	## https://bugzilla.redhat.com/show_bug.cgi?id=904851
-	-xvfb-run --server-args="-screen 0 640x480x16" test/run-tests.py
+	-dbus-launch xvfb-run --server-args="-screen 0 640x480x16" test/run-tests.py
+endif
