=== debian/watch ===
version=3

opts=\
repacksuffix=+dfsg,\
dversionmangle=s/\+dfsg\d*//,\
  https://github.com/ariya/phantomjs/releases \
  .*/archive/v?\.?(\d[\d\.]+)\.tar\.gz
